# Changelog

Todos los cambios notables en este proyecto se documentarán en este archivo.

El formato está basado en [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
y este proyecto adhiere a [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

> **Nota**: Las entradas marcadas con 🤖 indican contribuciones significativas realizadas con la asistencia de Claude Code.

## [0.6.0] - 2025-03-28 🤖

### Añadido
- Política de atribución para contribuciones asistidas por Claude Code en CLAUDE.md
- Nueva sección de "Asistencia de IA" en README.md
- Mención explícita de Claude como co-autor en la sección de autores
- Indicador visual de contribuciones asistidas por IA en CHANGELOG

### Mejorado
- Integración de todos los flujos bajo una única pestaña "Local Leads 507"
- Actualización de .gitignore para mejor gestión de archivos de respaldo
- Inclusión de Claude Code en la sección de tecnologías del README

## [0.5.0] - 2025-03-26 🤖

### Añadido
- Documentación detallada sobre herramientas y plataformas utilizadas
- Nueva sección "Herramientas de Procesamiento" en README.md
- Información sobre integración con Browse AI y procesamiento mediante expresiones regulares
- Detalles sobre fuentes de datos (IPACOOP, MICI)
- Requisito de cuenta en Browse AI para el flujo de industrias

### Mejorado
- Sección de tecnologías expandida con información más completa
- Detalles sobre el proceso de extracción y normalización de datos
- Documentación sobre el script personalizado para gestión del servicio

## [0.4.0] - 2025-03-26 🤖

### Añadido
- Nuevo flujo "Industrias Leads" para procesamiento de datos de empresas manufactureras
- Funcionalidad de extracción inteligente de datos de contacto mediante expresiones regulares
- Normalización automática de información empresarial (productos, sectores, contactos)
- Documentación completa del nuevo flujo en README.md

### Mejorado
- Renombrado del flujo "Get Coops Panamá" a "Cooperativas Leads" para mayor consistencia
- Organización visual de los nodos en los flujos para mejor comprensión
- Respaldo de archivos de configuración críticos (.config.nodes.json, .flows_cred.json, etc.)

## [0.3.0] - 2025-03-25

### Añadido
- Documentación detallada sobre los datos extraídos del flujo de cooperativas
- Especificación de las columnas en el archivo CSV de salida
- Clarificación del formato de datos para integración con otros sistemas

### Mejorado
- Mejor seguimiento del código mediante git
- Documentación más completa sobre la estructura del proyecto

## [0.2.0] - 2025-03-23

### Añadido
- Configuración de Node-RED como servicio
- Documentación mejorada en README.md
- Instrucciones detalladas para iniciar y detener el servicio
- Actualización del archivo .gitignore para seguimiento de flujos y módulos personalizados
- Implementación del flujo "Get Coops Panamá" para extracción de datos de cooperativas

### Cambiado
- Estructura de directorios adaptada para Node-RED
- Actualización del README.md para reflejar que es un proyecto Node-RED

## [0.1.0] - 2025-03-23

### Añadido
- Estructura inicial del proyecto
- Integración con Node-RED
- Guías de desarrollo en CLAUDE.md
- Licencia privativa (LICENSE.md)
- Configuración inicial del repositorio

[0.6.0]: https://github.com/username/webservices/compare/v0.5.0...v0.6.0
[0.5.0]: https://github.com/username/webservices/compare/v0.4.0...v0.5.0
[0.4.0]: https://github.com/username/webservices/compare/v0.3.0...v0.4.0
[0.3.0]: https://github.com/username/webservices/compare/v0.2.0...v0.3.0
[0.2.0]: https://github.com/username/webservices/compare/v0.1.0...v0.2.0
[0.1.0]: https://github.com/username/webservices/releases/tag/v0.1.0